# Uses of Class
org.eclipse.gef.geometry.planar.Polyline

Packages that use Polyline
Package
Description
org.eclipse.gef.geometry.convert.swt
This package provides support for converting geometric objects to SWT and for conversion between SWT and AWT.
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Polyline in org.eclipse.gef.geometry.convert.swt

Methods in org.eclipse.gef.geometry.convert.swt with parameters of type Polyline
Modifier and Type
Method
Description
`static final int[]`
Geometry2SWT.`toSWTPointArray(Polyline p)`
Returns an integer array, which represents the sequence of coordinates of the `Point`s that make up this `Polyline`.

## Uses of Polyline in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Polyline
Modifier and Type
Method
Description
`Polyline`
Polyline.`getCopy()`
`Polyline`
Polygon.`getOutline()`
`Polyline`
Rectangle.`getOutline()`
`Polyline`
Polyline.`getTransformed(AffineTransform t)`
Methods in org.eclipse.gef.geometry.planar with parameters of type Polyline
Modifier and Type
Method
Description
`boolean`
Polygon.`contains(Polyline p)`
Tests if the given `Polyline` p is contained in this `Polygon`.